Subject: Re: bug#61275: c-ts-mode: (eq treesit-font-lock-level 2) doesn't fontify parameter names.

From: Eli Zaretskii <[email-masked]>
Date: Sat, 04 Feb 2023 19:20:01 +0200

> Cc: [email-masked]
> Date: Sat, 04 Feb 2023 19:13:43 +0200
> From: Eli Zaretskii <[email-masked]>
> 
> > Date: Sat, 4 Feb 2023 17:00:45 +0000
> > Cc: [email-masked]
> > From: Alan Mackenzie <[email-masked]>
> > 
> > > By "the definition of bar", do you mean this:
> > 
> > >     int foo (int bar)
> > >                  ^^^
> > 
> > Yes, that's precisely what I meant.
> 
> I believe this is known as "parameter declaration".

More accurately, you want the parameter identifiers which are part of
parameter declarations to be fontified using the
font-lock-variable-name-face.

I hope Yuan or Theo could look into this soon.